如何从 DVD 在 Ubuntu 中创建 ISO

从 dvd 创建 iso

从 DVD 创建 ISO,以便备份 DVD 的原始影片或内容, you can either use BraseroK3B自定义脚本 此页上可用. 其他的替代品 DVD95, k9copy.

它也是可以组合使用 dvdbackup 谁可以备份文件和结构的 DVD 视频与硬盘上 一个文件之上 这能产生功能 iso 图像从这些文件.

在本教程中, 我们 ’ ll 看将 DVD 转换为 ISO 在 Ubuntu 中,使用不同工具可用.

先决条件

若要执行此操作, 你 ’ ll 需要以下;

  • 管理权限
  • 可用的 Internet 连接
  • 有安装包推荐在此页上自动解密受保护的 DVD.

 

1. Create ISO from DVD Using Brasero DVD Burner

Brasero 已安装默认情况下,在 Ubuntu 上, 它是一个简单但功能强大的工具,用于刻录 CD 和 DVD 到您的 Ubuntu 电脑.
若要从 DVD 创建 ISO:

  1. 把 DVD 驱动器中,
  2. 打开 Brasero,
  3. 选择 复制 DVD ,
  4. 选项: 选择要刻录的光盘图像文件 ,
  5. 如果延长 “图像” 文件不是 .iso, 单击 “属性” 按钮和记录窗口, 更改 “类型的磁盘映像 ‘图像 ISO9660 .
  6. 还行, 转换开始 ….

2. Create ISO from DVD Using K3B

它是 很容易 从任何应用程序的商业 DVD 创建 ISO 镜像 K3B , 默认情况下,在已经安装 系统 , Ubuntu 和其他型号的 Ubuntu .

如何刻录 DVD 与 K3B:

  1. 启动 K3B,
  2. 转到(G) 工具 , 然后 拷贝介质
  3. 选择 创建只有一个图像 .
  4. 然后转到选项卡 图像 若要选择将写入图像文件的文件夹.

3. Create ISO from DVD Using dvd2ISO

这里有一个脚本,它允许用鼠标, 后滑视频 DVD 驱动器中, 结束了与一个功能性的 ISO 映像的 DVD 到硬盘上.
安装软件包 dvdbackup, 一个文件之上 .
创建文件 dvd2iso.sh 复制它下面在具有管理权限在一个文本文件中 / usr / 本 · / :

#! / 本 · / sh 
############################################ ######################### 
# dvd2iso.sh 
# 
# 允许单击鼠标, 后滑 DVD 
# 在驱动器中的视频 , 结束与 ISO 功能 # DVD 到硬盘上. 
# ... 
# 依赖项: 
# - dvdbackup 
# - 一个文件之上 
# 
# 作者: 
# - djoole 
# - 桑德曼 
# - mr_djez 点  
# 
# 历史: 
# 09/12/2010 ( 0.3) mr.djez 
# - 格式 
# - 添加注释 
# - 几个小小的改变 (变量, 表达式, 条件);) 
# - 计算的执行时间的变化 
# - 测试存在依赖关系 
# - adding the 'uDF' mkisofs 
# - 测试空间 
# 19/12/2008 (0.2) 桑德曼 
# - 添加临时目录 
# - 时间计算 
# 11/01/2007 (0.1) djoole 
# - 写初始 
################################################# ####################
 
# 版本 = 0.3
 
# 开始时间 DATE_START = $ ( 日期 + % s )
 
### 变量 (若要更改具体取决于您的配置) 
# 设备 DVD dvd_dev = / dev / sr0
 # 脚本使用的临时目录 
# /! \ Will be created and deleted every time 
rep_app = / tmp / dvd2iso- $ DATE_START 
# storage directory iso 
rep_iso = / media / Doc
 
# Test dependencies 
list = "dvdbackup mkisofs"  
for i in  $ 列表 ; do 
	qui  $ 我  >  / dev / null
	 if  [  $?  -eq  1  ] ; Then 
		printf  "% s not found \ n install the package \" % s \ "  \ n apt-get install% s \ n "  $ 我  $ 我  $ i  
		exit  1 
	fi 
done
 
printf  " \ n Copy DVD to ..................% s \ n "  $ rep_app 
# Create directory 
test  !  -d  $ rep_app  &&  mkdir  $ rep_app 
# we run the backup dvd if sufficient space 
# space> size dvd 
if  [ $ ( df  $ rep_app  |  awk  '/ ^ \ / dev / {print $ 4} ' )  -gt $ ( df  $ dvd_dev  |  awk  ' / ^ \ / dev / {print $ 3} ' )  ] ; 然后 
	# Backup dvd 
	dvdbackup -M  -i  " $ dvd_dev "  -o  " $ rep_app "  &&  echo OK ||  echo FAIL
 else 
	printf  "FAIL \ n FATAL \: Insufficient free space on% s \ n "  $ rep_app .
fi
 
# Backup file name 
dvdtitle = $ ( ls  $ rep_app )
 
printf  "Converting DVD ISO files ....................." 
# we start creating the iso if enough free space 
# space> size of the backup 
if  [ $ ( df  $ rep_iso  |  awk  '/ ^ \ / dev / {print $ 4}' )  -gt $ ( 的  $ rep_app / $ dvdtitle  |  tail  -1  |  awk  '{print $ 1}' )  ] ; 然后 
	# Create iso 
	mkisofs -DVD-video  -udf  -quiet  -o  " $ rep_iso / $ dvdtitle .iso"  " $ rep_app / $ dvdtitle /"  &&  echo OK ||  echo FAIL
 else 
	printf  "FAIL \ n FATAL \: Insufficient free space on% s \ n "  $ rep_iso 
fi
 
printf  "Delete temporary files ..................." 
# 清除备份文件 rm-fr  " $ rep_app "  &&  echo OK ||  回声失败
 
# 结束时间 date_stop = $ ( 日期 + % s )
 
# 计算期 duree_total_sec = $ ( expr  $ date_stop - $ DATE_START ) 
duree_min = $ ( expr  $ duree_total_sec  /  60 ) 
duree_sec = $ ( expr  $ duree_total_sec  %  60 )
 
报告 # 
printf  " \ n = = = = = = 行动结束! \ N  \
 持续时间:% 成四 d 分秒 \ n  \
 创建文件: 在 %s s.iso% \ n \ n "  $ duree_min  $ duree_sec  $ dvdtitle  $ rep_iso 退出  0

使文件可执行 .
它 ’ ll 跑通过输入终端的命令 :

dvd2iso.sh

此脚本使用图形用户界面, 安装 zenity 和创建调用 DVD2ISO 脚本的启动器 (位于 / usr / 本 · / 和制作的可执行文件) 用下面的代码:

dvd2iso | zenity --text-info --title "DVD2ISO" --宽度--高度 = 400 = 300

3 变量是 “有可能” 要手动设置,以适合您的系统:

  • dvd_dev = 您的设备的绝对路径 dvd
  • rep_iso = 绝对路径或将存储的图像 DVD.iso
  • rep_app = 脚本所用的假脱机目录的绝对路径

4. 替代方法

如果以上方法都不起作用, 它是可以将复制记录毛光盘的内容.

  1. 第一次打开与 DVD VLC 要设置解密密钥 “libdvdcss2” 在内存中.
  2. 关闭 VLC .
  3. 与文件浏览器 , 把整个的 DVD 视频内容复制到您的硬盘驱动器上的文件夹.

你将以后的 VLC 由读取菜单 媒体 → 打开文件 , 然后导航到您的视频文件.

与上述方法, 你发现了如何在 Ubuntu 中刻录 DVD 到 ISO. 这种方法也能完美运行,在 Ubuntu 中烧录光盘 iso.

此处未列出的其他方法还有有很多可以用来烧其他工具, 在 Ubuntu 中 rip 和副本的磁盘. 不限制自己到了那里的选项, 尽管他们都是最受欢迎,都已测试可以非常有效地.

您可能还喜欢

关于作者: 管理员

留言

您的电子邮件地址将不会发布. 标记必填的字段 *